Please, go through these steps before you submit a PR:
1. Make sure that your PR is not a duplicate.
2. If not, then make sure that:
    a. You have done your changes in a separate branch. Branches MUST have descriptive names that start with `docs/` prefix. Good examples are: `docs/readme-typo` or `docs/typo-guideline`.
    b. You have a descriptive commit message with a short title (first line).
    c. You have only one commit (if not, squash them into one commit).
    d. Commit message follows [convention](../CONTRIBUTING.md#commit-message). Good example is: `Docs: fixes typo in 'rejection' word`.
    e. The changes relate to the documentation only (README.md .github/* docs/*). **Use another pr template otherwise**.

3. **After** these steps, you're ready to open a pull request.
    a. Give a descriptive title to your PR.
    b. Describe your changes. Add link to the generally accepted dictionary with correct usage.
    c. In case there is an opened issue, put `closes #XXXX` in your comment to auto-close the issue that your PR fixes.


**PLEASE REMOVE THESE NOTES BEFORE SUBMITTING**


**Fixes typo** [ word / sentence / filename ]

Describe your changes:

<!-- Example: This PR fixes typo in 'rejection' word. -->

Add link to the generally accepted dictionary with correct usage:
<!-- Example: https://www.lexico.com/definition/rejection-->
